Issue1461

Title IDEA tests fail on big endian architectures
Priority critical Status resolved
Category Due Date
Version 1.4.13 ExtLink  (go)
Superseder Nosy List sharkcz
Assigned To Topics  (help)

Created on 2013-01-04.13:49:36 by sharkcz, last changed 2013-01-11.14:41:25 by werner.

Files
File name Uploaded Type Edit Remove
gnupg-1.4.13-big-endian.patch sharkcz, 2013-01-07.14:29:41 text/x-patch
Messages
msg4507 (view) Author: werner Date: 2013-01-11.14:41:25
Fixed with commit 37f1a42.  Tested on a Power7 box.  I guess we need to do a new
release soon.
msg4503 (view) Author: werner Date: 2013-01-08.14:29:32
Argh, the IDEA source is really old.
Sorry for not testing it on, say a PPC.
msg4502 (view) Author: sharkcz Date: 2013-01-07.14:29:41
idea.c uses wrong #define to check for big endian architectures
msg4501 (view) Author: sharkcz Date: 2013-01-04.13:49:35
IDEA tests fail on big endian architectures like ppc or s390, on both 32 and 64 bit.

...
make[2]: Entering directory `/builddir/build/BUILD/gnupg-1.4.13/checks'
gpg (GnuPG) 1.4.13
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Home: .
Supported algorithms:
Pubkey: RSA, RSA-E, RSA-S, ELG-E, DSA
Cipher: IDEA, 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH,
        CAMELLIA128, CAMELLIA192, CAMELLIA256
Hash: MD5, SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
Compression: Uncompressed, ZIP, ZLIB, BZIP2
PASS: version.test
PASS: mds.test
PASS: decrypt.test
PASS: decrypt-dsa.test
MD5 SHA1 RIPEMD160 SHA256 SHA384 SHA512 SHA224 | PASS: sigs.test
PASS: sigs-dsa.test
IDEA FAIL: encrypt.test
IDEA FAIL: encrypt-dsa.test
PASS: seat.test
PASS: clearsig.test
PASS: encryptp.test
PASS: detach.test
PASS: armsigs.test
PASS: armencrypt.test
PASS: armencryptp.test
PASS: signencrypt.test
PASS: signencrypt-dsa.test
PASS: armsignencrypt.test
PASS: armdetach.test
PASS: armdetachm.test
PASS: detachm.test
PASS: genkey1024.test
IDEA FAIL: conventional.test
IDEA FAIL: conventional-mdc.test
PASS: multisig.test
PASS: verify.test
PASS: armor.test
======================================
4 of 27 tests failed
Please report to http://bugs.gnupg.org
======================================


Please let me know if you need more details or anything else.
History
Date User Action Args
2013-01-11 14:41:25wernersetstatus: chatting -> resolved
version: 1.4.13
messages: + msg4507
2013-01-08 14:29:32wernersetmessages: + msg4503
2013-01-07 14:29:41sharkczsetfiles: + gnupg-1.4.13-big-endian.patch
status: unread -> chatting
messages: + msg4502
2013-01-04 13:49:36sharkczcreate